# module ActiveRecord::Explain

### Private Instance Methods

render_bind(attr) click to toggle source

    # File lib/active_record/explain.rb, line 38
    def render_bind(attr)
      value = if attr.type.binary? && attr.value
        "<#{attr.value_for_database.to_s.bytesize} bytes of binary data>"
      else
        connection.type_cast(attr.value_for_database)
      end

      [attr.name, value]
    end